Bug 593158 - virtio net/vhost net speed enhancements from upstream kernel
Summary: virtio net/vhost net speed enhancements from upstream kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Michael S. Tsirkin
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 533943 595287
TreeView+ depends on / blocked
 
Reported: 2010-05-18 01:49 UTC by Michael S. Tsirkin
Modified: 2013-01-09 22:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 595287 (view as bug list)
Environment:
Last Closed: 2010-11-11 16:14:13 UTC


Attachments (Terms of Use)

Description Michael S. Tsirkin 2010-05-18 01:49:53 UTC
we should backport virtio net speed enhancements from Rusty's tree,
most notably publish used index patch.

These gives up to 30% bandwidth improvement in some workloads.

Comment 1 RHEL Product and Program Management 2010-05-18 02:05:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Aristeu Rozanski 2010-05-25 17:42:32 UTC
Patch(es) available on kernel-2.6.32-29.el6

Comment 7 Quan Wenli 2010-08-19 05:10:08 UTC
Through compare the Kernel-2.6.32-27.el6 & Kernel-2.6.32-63.el6, virtio-net /vhost speed enhancement +3~76% when from guest to external.There is no significant improvement when from external to guest.
 
virtio 	Kernel-2.6.32-27.el6	Kernel-2.6.32-63.el6	diff% 
64	345.08	                 528.68                53.21%
128	451.89	                 560.28	               23.99%
256	694.77	                 687.65	               -1.02%
512	645.26	                 941.16	               45.86%
1024	728.93	                 941.17	               29.12%
2048	846.78	                 941.02	               11.13%
4096	885.62	                 941.17	               6.27%
8192	731.04	                 941.2	               28.75%
16824	815.31	                 941.17	               15.44%
			
			
vhost	Kernel-2.6.32-27.el6	Kernel-2.6.32-63.el6	diff% 	
64	404.36	                 715.01	               76.83%
128	566.54	                 941.32	               66.15%
256	722.13	                 940.63	               30.26%
512	846.3	                 941.32	               11.23%
1024	854.87	                 941.31	               10.11%
2048	911.88	                 941.33                3.23%
4096	854.3	                 941.34	               10.19%
8192	869.58	                 941.34	               8.25%
16824	814.87	                 940.81	               15.46%

So it can be closed.

Comment 8 releng-rhel@redhat.com 2010-11-11 16:14:13 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.